<div align="center">

<picture>
  <source media="(prefers-color-scheme: light)" srcset="/docs/nina_logo.svg">
  <img alt="nina logo" src="/docs/nina_logo.svg" width="50%" height="50%">
</picture>

**N**INA **I**s **N**ot **A**RM

<h6>Created by Guilherme Moreno</h6> 

</div>

## Overview

NINA is a RISC-V soft-core co-designed for resource-constrained machine learning inference. 

* RISC-V 32-bit three-stage pipelined modified Harvard architecture
* Compatible with the RV32I RISC-V ISA subset
* 16 KB memories (IMEM and DMEM)
* Cycle and instruction counters
* Early branch resolution for low CPI

## License

This project is licensed under the BSD 3-Clause License.

## Acknoledgements

Sophia Shao @ UC Berkeley for the *Introduction to Digital Design and Integrated Circuits* classes and boilerplate testbenches used in this project.
