module gen_wr_data (
  input [31:0] wr_data_in,
  input [3:0] wr_mask,

  output reg [31:0] wr_data
);

  always @* begin
    case(wr_mask)
      4'b0010: wr_data = wr_data_in << 8;
      4'b0100: wr_data = wr_data_in << 16;
      4'b1000: wr_data = wr_data_in << 24;
      4'b1100: wr_data = wr_data_in << 16;
      default: wr_data = wr_data_in;
    endcase
  end

endmodule
